Bug 134893 - NetworkManagerInfo and the panel-icon life-cycle
NetworkManagerInfo and the panel-icon life-cycle
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: John (J5) Palmieri
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-06 20:31 EDT by Jonathan Blandford
Modified: 2013-04-02 00:20 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-06 13:40:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Blandford 2004-10-06 20:31:24 EDT
NetworkManagerInfo currently controls the NetworkManagerNotification
process in an unsophisticated fashion.  It should make sure that when
it quits, it kills the icon.  It should also monitor the icon for it
dying as well.  Finally, it should kill the icon when we're in an
uninteresting state (Wired only).
Comment 1 Jonathan Blandford 2004-10-07 17:27:01 EDT
After a discussion here, here is what needs doing for the life cycle:

 * NetworkManager is considered 'on' if it's running.  The way to
enable it is to do 'service NetworkManager start', or use chk-config.

 * NetworkManagerInfo is always started at the beginning of the user's
session.  If NetworkManager isn't running, it exits.

 * NetworkManagerInfo needs to install a desktop file so that it gets
added to the user's session.  Ray can probably help get this right.

 * NetworkManagerInfo needs to monitor the state of network devices. 
If we have just wired devices, then we need to kill the panel icon
after a certain time (say 20-30 seconds).

 * The panel icon needs to exit if NetworkManagerInfo dies or is
restarted.

 * NetworkManagerInfo needs to restart the icon if it dies or is
killed.  It should guard against starting it too many times.  Also,
this behaviour is incompatable w/ something like bugbuddy so we'll
have to disable that.
Comment 2 Dan Williams 2004-10-08 01:51:08 EDT
> * The panel icon needs to exit if NetworkManagerInfo dies or is
restarted.

Done and committed to gnome.org CVS.  I currently call exit(), but
there's probably a better way?
Comment 3 John (J5) Palmieri 2004-10-08 14:21:48 EDT
exit change to gtk_main_quit in CVS
Comment 4 Jonathan Blandford 2004-10-08 15:17:41 EDT
exit() should be fine.
Comment 5 John (J5) Palmieri 2004-10-08 17:17:47 EDT
> If NetworkManager isn't running, it exits.

Done.  We exit in 30 seconds if NetworkManager goes down.  If
NetworkManager is not available when NetworkManagerInfo starts, we quit.


Note You need to log in before you can comment on or make changes to this bug.